body:not(:target) .region-primary-menu .menu-toggle:after {
    display: none;
}
.region-primary-menu .menu {
    margin: 0;
    width: 100px;
    padding-left: 15px;
    font-size: 16px;
}
#hspcustom-burger-menu {
    position: absolute;
    top: 28px;
    left: 280px;
    display: inline;
    background-image: url('../../../../core/misc/icons/bebebe/hamburger.svg');
    background-repeat: no-repeat;
    background-size: 100%;
    content: ".";
    color: transparent;
    height: 50px;
    width: 50px;
}
.toolbar-vertical #hspcustom-burger-menu,
.toolbar-fixed #hspcustom-burger-menu {
    top: -73px;
}
/* Menu toggle span containing #burger menu */
.region-primary-menu .menu-toggle {
    display: inline;
    padding: 0 !important;
}
@media all and (min-width: 901px) {
    .region-primary-menu .menu-toggle {
        display: none;
        padding: 0;
    }
}

/*.region-primary-menu .block-menu .menu {
    height: 0;
    overflow: hidden;
    padding: 0;
}*/

/* Primary menu hide/show */
body:not(:target) .region-primary-menu .menu .menu-item {
    height: 0;
    overflow: hidden;
    display: none;
}
body:not(:target) .region-primary-menu .menu-toggle-target-show:target ~ .menu .menu-item {
    float: left;
    width: 250px;
    height: auto;
    overflow: visible;
    display: inline;
    border-right: 0 !important;
    background-color: #F5F5F5;
    background: -webkit-linear-gradient(top, #fff, rgba(245,245,245,1));
    background: -moz-linear-gradient(top, #fff, rgba(245,245,245,1));
    background: -o-linear-gradient(top, #fff, rgba(245,245,245,1));
    background: -ms-linear-gradient(top, #fff, rgba(245,245,245,1));
    background: linear-gradient(to bottom, #fff, rgba(245,245,245,1));
}
body:not(:target) .region-primary-menu .menu-toggle-target-show:target ~ .menu .menu-item--active-trail {
    background: none;
    background-color: #05547B;
}
@media all and (min-width: 901px) {
    body:not(:target) .region-primary-menu .menu,
    body:not(:target) .region-primary-menu .menu .menu-item {
        overflow: visible;
        padding: 0;
        height: auto;
        display: inline;
    }
    body:not(:target) .region-primary-menu .menu-toggle-target-show:target ~ .menu .menu-item {
        float: left;
        width: auto;
        height: auto;
        overflow: visible;
        display: inline;
        background-color: #F5F5F5;
        background: -webkit-linear-gradient(top, #fff, rgba(245,245,245,1));
        background: -moz-linear-gradient(top, #fff, rgba(245,245,245,1));
        background: -o-linear-gradient(top, #fff, rgba(245,245,245,1));
        background: -ms-linear-gradient(top, #fff, rgba(245,245,245,1));
        background: linear-gradient(to bottom, #fff, rgba(245,245,245,1));
    }
    body:not(:target) .region-primary-menu .menu-toggle-target-show:target ~ .menu .menu-item--active-trail {
        background: none;
        background-color: #05547B;
    }
}
@media (max-width: 900px) { /*and (min-width: 461px) {*/
    body:not(:target) .region-primary-menu .menu-toggle {
        display: inline;
        padding: 0;
    }
}
/* Menu toggle hide/show (burger menu) */
body:not(:target) .region-primary-menu .menu-toggle-target-show:target ~ .menu-toggle,
body:not(:target) .region-primary-menu .menu-toggle--hide {
    display: none;
}
body:not(:target) .region-primary-menu .menu-toggle-target-show:target ~ .menu-toggle--hide {
    display: block;
    padding: 0;
}

/* Making sure mobile menu will close */
@media all and (min-width: 901px) {
    body:not(:target) .region-primary-menu .menu-toggle-target-show:target ~ .menu-toggle--hide {
        display: none;
    }
}
